image: node:10.15

cache:
  paths:
    - node_modules/

stages:
  - test
  - deploy

test:
  stage: test
  script:
    - yarn
    - npx lerna run test --parallel --since $CI_MERGE_REQUEST_TARGET_BRANCH_NAME --include-dependents
  only:
    - merge_requests

deploy:
  stage: deploy
  script:
    - yarn
    - npx lerna ls --all --since $CI_COMMIT_BEFORE_SHA --include-dependents
  only:
    - master
    - develop
